Bug 115534 - [PATCH] Postgres does not contain latest patch, leading to SSL problems
Summary: [PATCH] Postgres does not contain latest patch, leading to SSL problems
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rh-postgresql   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Tom Lane
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-13 11:45 UTC by Philip Lijnzaad
Modified: 2013-07-03 03:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 04:52:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that addresses said pbug (3.91 KB, patch)
2004-02-13 11:48 UTC, Philip Lijnzaad
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:116 normal SHIPPED_LIVE Updated rh-postgresql packages fix various bugs 2004-05-12 04:00:00 UTC

Description Philip Lijnzaad 2004-02-13 11:45:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20021105

Description of problem:
Under heave network loads, postgres access over ssl
intermittently shows one of
the
following error messages:

LOG:  pq_recvbuf: unexpected EOF on client connection
LOG:  SSL SYSCALL error: EOF detected
LOG:  SSL error: decryption failed or bad record mac

, resulting in loss of the connection. After some googling around I came
across
a recent
patch by one of the postgres developers, which apparently solves this. I
would
appreciate
if this patch were to be included in the upgrades; the current version
(7.3.4-9)
does not.

Incidentally, the logging of the error messages as shown above
required some small changes to the postgresql init script, which I'd be
very
happy to
share.  Regards,

Philip Lijnzaad


Version-Release number of selected component (if applicable):
rh-postgres-7.3.4-9

How reproducible:
Sometimes

Steps to Reproduce:
access postgres over an ssl connection on a different machine

Actual Results:  connection to database lost. In postgres log file: 

LOG:  pq_recvbuf: unexpected EOF on client connection
LOG:  SSL SYSCALL error: EOF detected
LOG:  SSL error: decryption failed or bad record mac


Expected Results:  No connection loss.

Additional info:

A patch has been provided by Tom Lane, Postgresql developer. 
It is available from 

http://groups.google.com/groups?q=pgsql+patch+against+7.3.4+ssl+fe-misc

Comment 1 Philip Lijnzaad 2004-02-13 11:48:35 UTC
Created attachment 97642 [details]
patch that addresses said pbug

patching requires use of -w (indentation is wrong)

Comment 2 Philip Lijnzaad 2004-02-13 11:49:16 UTC
sorry, patch -l (not -w)


Comment 3 Tom Lane 2004-03-05 22:56:13 UTC
rh-postgresql will be updated to 7.3.6 in RHEL3 Update 2.

Comment 4 John Flanagan 2004-05-12 04:52:57 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-116.html



Note You need to log in before you can comment on or make changes to this bug.